
Core - Bug # 17203

Status: Closed Priority: Should have
Author: Steffen Kamper Category:
Created: 2007-04-12 Assigned To:
Updated: 2015-05-22 Due date:
TYPO3 Version: 4.1
PHP Version: 4.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Access Check for Content Elements before drawing the Interface
Description

as initialized in the dev list there are some points in BE where a user gets access to delete Elements which are not allowed to him.
Additionally the Access Check has to be made before to prevent icons with dead end.

As there are a lot of issues belonging to this it's the start of a progress.
Special thanx to Dmitry who realized that in TV and gave the hint how to do.
Thanx to Tapio who workes a lot on BE issues with high energy

Here comes diff01 with following features:
- hide control panel if no access
- hide click menu if no access

(issue imported from #M5412)

Related issues:
related to Core - Bug # 18867: Enhance page modul Resolved 2008-05-28
related to Core - Bug # 22252: Add Hooks in page module in order to hide icons Closed 2010-03-08
related to Core - Bug # 22728: Icon "Create new record in top of column" disp... Closed 2010-05-27
related to Core - Bug # 16519: BE-User is able to delete forbidden types of p... Resolved 2007-04-10
related to Core - Bug # 23241: Frontend Editing edit panels are shown for con... Closed 2010-07-21

History
#1 - 2007-05-14 14:27 - Steffen Kamper

nobody recognized ?

#2 - 2010-05-20 02:06 - Chris topher

Me! :-)

#3 - 2010-05-23 12:18 - Steffen Kamper

thanks for bumping up ;-)

#4 - 2012-02-07 09:23 - Xavier Perseguers
- Assigned To deleted (Steffen Kamper)
- Target version deleted (0)

#5 - 2014-12-16 13:25 - Alexander Opitz
- Status changed from Accepted to Needs Feedback
- Is Regression set to No

Hi,

over the years this parts got many changes in the area of access rights. Something missing or can this issue closed?

#6 - 2015-05-22 17:41 - Christian Kuhn
- Status changed from Needs Feedback to Closed

Let us close this one for now - if we need something again, we can create a fresh ticket with more detailled information.

Files
contentaccess-01.diff 1.3 kB 2007-04-12 Administrator Admin
